
Redmine - Defect #3328

Diff-link displayed when on old page-version links to wrong version-diff

2009-05-10 04:01 - Mischa The Evil

Status: Closed Start date: 2009-05-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Best way to show this is using a screenshot:

 wiki-diff-error.jpg 

In the above screenshot the current version of the page is 42. When I want a diff between current version 42 and version 41 the url

should be: http://www.redmine.org/wiki/redmine/RedmineInstall/diff?version=42.

The current behaviour produces the url http://www.redmine.org/wiki/redmine/RedmineInstall/diff?version=41 as visible in the

screenshot. That URL outputs the differences between version 41 an version 40.

History

#1 - 2009-05-10 11:35 - Jean-Philippe Lang

The screenshot shows version 41 and that's why you get a link to the diff between 40 and 41. IMHO, this behaviour makes sense.

But what is displayed can be misleading: Version 41/42 (diff) means that you are viewing version 41 out of 42, it doesn't mean that the diff link will

show you the differences between 41 and 42. If you're looking at version 30, you'll see Version 30/42, and the diff will show you the changes in

version 30.

If you want to see differences between 41 and 42, go to the revisions list and click 'View changes' (by default, it will show the diff of the last revision).

#2 - 2009-05-10 16:26 - Mischa The Evil

- Status changed from New to Resolved

- Assignee set to Mischa The Evil

Jean-Philippe Lang wrote:

But what is displayed can be misleading: Version 41/42 (diff) means that you are viewing version 41 out of 42, it doesn't mean that the diff link

will show you the differences between 41 and 42. If you're looking at version 30, you'll see Version 30/42, and the diff will show you the changes

in version 30.

 Hmm, I was indeed mislead... :) I'll add the above info to the RedmineGuide...

#3 - 2009-05-17 22:46 - Mischa The Evil

- Category changed from UI to Documentation

- Resolution set to Invalid

#4 - 2011-06-07 19:20 - Etienne Massip

- Status changed from Resolved to Closed

#5 - 2011-09-22 17:26 - Mischa The Evil

- Assignee deleted (Mischa The Evil)

- Resolution changed from Invalid to Fixed

Finally added the here given info to RedmineWikis.
